# GetWebhookSubscription

Get details of a subscription

`GET /webhooks/subscriptions/{subscriptionId}`

**API:** Avalara E-Invoicing API
**Tag:** Subscriptions
**API Version:** 1.6
**Base URL:** https://api.sbx.avalara.com/einvoicing
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/e-invoicing/api/v1.6/methods/Subscriptions/GetWebhookSubscription/

## Description

Retrieve details of a specific subscription.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `subscriptionId` | string | path | Yes | Unique identifier of the subscription. |
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Returns the SubscriptionDetail object for the specified subscriptionId. | `SubscriptionDetail` |
| 401 | Unauthorized. | `WebhooksErrorResponse` |
| 403 | Forbidden. | `WebhooksErrorResponse` |
| 404 | Subscription not found for the specified subscriptionId. | `WebhooksErrorResponse` |

## Example Request

```bash
curl -X GET "https://api.sbx.avalara.com/einvoicing/webhooks/subscriptions/{subscriptionId}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```